package edu.bsu.cs.algorithm;

import edu.bsu.cs.graph.*;
import edu.bsu.cs.gui.*;

import java.util.*;
import java.awt.*;

/**	Deletes all edges in a graph.
	
	@author	Jay Bagga
	@since	20 Apr 1999
	@since	4 Nov 1999
*/
public class DeleteAllEdges extends Algorithm {
	Vector animationVector;
	AnimObject temp;
	public DeleteAllEdges() {
		succeeded(false);
		setType(JeditPanel.AUTOMATICALGORITHM);//E. VandenBerg 2002-Jun-23
		setFromResources();//E. VandenBerg 2002-Jun-23
	}

	public void callOwnConstructor(JavaGraph graph, Vector inputs, Vector animation) {
		animationVector = animation;
		//graph.markAllEdge();
		
 		/*
 		 * 
 		 for (int k = graph.order() -1; k>=0; k--)
		 	for (int j = graph.order() -1; j>=0; j--) 
			  if(graph.getEdge(j,k) != null){
				     graph.markEdge(j, k);
            			     temp = new AnimObject(new Point(j,k), AnimObject.EDGE, Color.black,400);
    				     animationVector.addElement(temp); 
	        	 }
	    */
 		for (int k = 0; k < graph.order(); k++)
		 	for (int j = 0; j < graph.order(); j++) 
			  if(graph.existEdge(j,k)) 
				graph.removeEdge(j,k); 
		succeeded(true);

	}
}
