package edu.bsu.cs.algorithm;

import edu.bsu.cs.graph.*;
import edu.bsu.cs.gui.*;

import java.util.*;
import java.awt.*;

public class GetAdjacentVertices extends Algorithm {
    Vector animationVector;
    AnimObject temp;

    public GetAdjacentVertices() {

        succeeded(false);
        setType(JeditPanel.ONECLICKALGORITHM);
        setFromResources();
    }

    public void callOwnConstructor(JavaGraph graph, Vector inputs, Vector animation) {
 
        
    	animationVector = animation;
		temp = new AnimObject("***********************************************************\n",AnimObject.TEXT,null,0);
		animationVector.addElement(temp);

		temp = new AnimObject("Starting "+getName()+" Algorithm.\n",AnimObject.TEXT,null,0);
		animationVector.addElement(temp);

		int vertex = ((Integer)inputs.elementAt(0)).intValue();
		Vector adjVertices = new Vector();
		for(int i = 0; i < graph.order(); i++)
		{
			if(graph.existEdge(vertex,i))
				adjVertices.addElement(new Integer(i));
		}
		
		temp = new AnimObject("The vertices adjacent to vertex " + vertex + " are: " + adjVertices.toString() + " .\n",AnimObject.TEXT,null,0);
		animationVector.addElement(temp);

		
		temp = new AnimObject("Finished "+getName()+" Algorithm.\n",AnimObject.TEXT,null,0);
		animationVector.addElement(temp);

		temp = new AnimObject("***********************************************************\n",AnimObject.TEXT,null,0);
		animationVector.addElement(temp);

		
		
		succeeded(true);
    }
}
