package edu.bsu.cs.algorithm;

import edu.bsu.cs.graph.*;
import edu.bsu.cs.gui.*;

import java.util.*;
import java.awt.*;

/**	Colors all vertices in a graph.

	@author	Jay Bagga
	@since	1 Feb 2005
	@since	1 Feb 2005
*/
public class SelectVerticesColor extends Algorithm {
	Vector animationVector;
	AnimObject temp;
	public SelectVerticesColor() {
		succeeded(false);
		setType(JeditPanel.ONECLICKALGORITHM);//E. VandenBerg 2002-Jun-23
		setFromResources();//E. VandenBerg 2002-Jun-23
	}

	public void callOwnConstructor(JavaGraph graph, Vector inputs, Vector animation) {
		animationVector = animation;
		//graph.markAllEdge();
        int startingVertex = ((Integer)(inputs.elementAt(0))).intValue();
       Color startingColor = graph.getVertexColor(startingVertex);
     temp = new AnimObject("Starting "+getName()+" Algorithm.\n",AnimObject.TEXT,null,0);
     animationVector.addElement(temp);
	temp = new AnimObject("The new COLOR is " + graph.getVertexColor(startingVertex) + " \n",AnimObject.TEXT,null,0);
	animationVector.addElement(temp);
 		for (int k = graph.order() -1; k>=0; k--)
		 	//for (int j = graph.order() -1; j>=0; j--)
			  //if(graph.getEdge(j,k) != null)
			  {		     graph.markVertex(k);
            			 temp = new AnimObject(new Integer(k), AnimObject.VERTEX, startingColor,400);
    				     animationVector.addElement(temp);
	        	 }
 		for (int k = graph.order() -1; k>=0; k--)
		 	//for (int j = graph.order() -1; j>=0; j--)
			  //if(graph.getEdge(j,k) != null)
				graph.setVertexColor(k,Color.red );
		succeeded(true);

	}
}



/*



			animationVector.addElement(new AnimObject(new Integer(l), AnimObject.VERTEX, unmarkedColor, 0));
			for (int p = 0; p < graph.order(); p++)
				if (graph.getEdge(p,l) != null)
					animationVector.addElement(new AnimObject(new Point(p,l), AnimObject.EDGE, unmarkedColor, 0));
		}
		int startingVertex = ((Integer)(inputs.elementAt(0))).intValue();
		animationVector.addElement(new AnimObject(new Integer(startingVertex), AnimObject.VERTEX, markedColor, 800));
		*/